﻿/*Override bootstrap defaults general*/

.body {
    background: url('../../images/AppBackground.png') no-repeat center center fixed;
    background-size: cover;
    /*Doesnt work
    background-color: lightgray;*/

}

.grid_button {
    height: 20px;
    padding-top: 0;
    margin-right: 10px;
}

.table thead > tr > th, .table tbody > tr > th, .table tfoot > tr > th, .table thead > tr > td, .table tbody > tr > td, .table tfoot > tr > td {
    padding: 0;
}

/**********************************************************************************************************************/
/*Override bootstrap defaults Payback Specific */
.table-striped > tbody > tr:nth-child(odd) > td{
    background-color: #ECF3FA;
}

/*Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#fceabb+0,fccd4d+50,f8b500+51,fbdf93+100;Orange+3D+%235*/ 
.table-striped tbody tr.highlight td { 
    background: #fceabb;  /*Old browsers*/ 
    background: -moz-linear-gradient(top, #fceabb 0%, #fccd4d 50%, #f8b500 51%, #fbdf93 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fceabb', endColorstr='#fbdf93',GradientType=0 ); /* IE6-9 */
    color: black;
}

.table-striped tbody tr.highlight td {
    /*background: #fcf8e3;*/
    /*background: lightyellow;*/
    /*background: #ffa500; drk orange*/
    background: #FFEB3B;
    color: black;
}

.table-striped tbody tr.archive td {
    color: lightgrey;
}

.tableheader {
    color: Black;
    background-color: #ACD3F0;
    font-family: Verdana;
    height: 16px;
    white-space: nowrap;
}

/* title bar text color*/
.navbar-inverse .navbar-nav > li > a {
    color: white;
}

/* title bar selected*/
.navbar-inverse .navbar-nav > .active > a,
.navbar-inverse .navbar-nav > .active > a:hover,
.navbar-inverse .navbar-nav > .active > a:focus {
    color: black; /* darkorange;*/
    background-color: lightgray;
}

/*works to top nav bar*/
.navbar-inverse .navbar-nav > li > a:hover {
    color: black; /* darkorange;*/
    background-color: darkgray;
}

/* tabs*/
    .nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
        /*color: #555555;*/
        color: black;
        cursor: default;
        background-color: #ACD3F0;
        /*border: 1px solid #dddddd;*/
        border-bottom-color: transparent;
        box-shadow: -1px 0 -1px 0 rgba(0,0,0,0.3);
    }

.nav-tabs > li > a {
    background-color: rgba(0,0,0,0.3);
    color: black;
}
.tab_box {
    min-height: 45px;
    width: 100%;
    margin-bottom: 0;
    margin-top: 0;
    margin-left: 0;
    margin-right: 5px;
    padding-bottom: 20px;
    padding-top: 0;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 5px 5px 5px 5px;
    box-shadow: 0 1px 4px 0 rgba(0,0,0,0.3);
    /*float: left;*/
    background-color: #ACD3F0;
}
.no_width_tab_box {
    min-height: 45px;
    margin-bottom: 0;
    margin-top: 0;
    margin-left: 0;
    padding-bottom: 20px;
    padding-top: 0;
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 5px 5px 5px 5px;
    box-shadow: 0 1px 4px 0 rgba(0,0,0,0.3);
    /*float: left;*/
    background-color: #ACD3F0;
}
.blue_gradient {
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#1e5799+0,2989d8+50,207cca+51,7db9e8+100;Blue+Gloss+Default */
    background: #1e5799; /* Old browsers */
    background: -moz-linear-gradient(top, #1e5799 0%, #2989d8 50%, #207cca 51%, #7db9e8 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #1e5799 0%,#2989d8 50%,#207cca 51%,#7db9e8 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #1e5799 0%,#2989d8 50%,#207cca 51%,#7db9e8 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1e5799', endColorstr='#7db9e8',GradientType=0 ); /* IE6-9 */
}

.orange_gradient {
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#fceabb+0,fccd4d+50,f8b500+51,fbdf93+100;Orange+3D+%235 */
    background: #fceabb; /* Old browsers */
    background: -moz-linear-gradient(top, #fceabb 0%, #fccd4d 50%, #f8b500 51%, #fbdf93 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fceabb', endColorstr='#fbdf93',GradientType=0 ); /* IE6-9 */
}

.dialog_tab_box {
    background-color: #ACD3F0;
    padding-right: 5px;
}



.sidenav .navbar-nav > li > a:hover {
    color: black; /* darkorange;*/
    background-color: darkgray;
}

/* Side Menu selected*/
.sidenav .navbar-nav > .active > a,
.sidenav .navbar-nav > .active > a:hover,
.sidenav .navbar-nav > .active > a:focus {
    color: black; /* darkorange;*/
    background-color: lightgray;
}
/********************************************************************/
.pbcolhead {
    /*display: inline-block;*/
    /*padding: 6px 12px;*/
    margin-bottom: 0;
    font-size: 14px;
    font-weight: bold;
    line-height: 1.428571429;
    text-align: left;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    /*border: 1px solid transparent;*/
    /*border-radius: 4px;*/
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

    .pbcolhead:focus {
        outline: thin dotted #333;
        outline: 5px auto -webkit-focus-ring-color;
        outline-offset: -2px;
    }

    .pbcolhead:hover,
    .pbcolhead:focus {
        color: #333333;
        text-decoration: none;
    }

    .pbcolhead:active,
    .pbcolhead.active {
        background-image: none;
        outline: 0;
        -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
        box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    }

    .pbcolhead.disabled,
    .pbcolhead[disabled],
    fieldset[disabled] .pbcolhead {
        pointer-events: none;
        cursor: not-allowed;
        opacity: 0.65;
        filter: alpha(opacity=65);
        -webkit-box-shadow: none;
        box-shadow: none;
    }

.pbcolhead-primary {
    color: Black;
    background-color: #ACD3F0;
    font-family: Verdana;
    height: 16px;
    white-space: nowrap;
    cursor: pointer;
    background-position: right;
    background-repeat: no-repeat;
    padding-right: 30px;
    background-image: url('../images/colsort.png');
    padding-left: 10px;
    border-left: 1px;
    border-left-color: grey;
    border-left-style: solid;
    /*color: #ffffff;
    background-color: #428bca;
    border-color: #357ebd;*/
}

    .pbcolhead-primary:hover,
    .pbcolhead-primary:focus,
    .pbcolhead-primary:active,
    .pbcolhead-primary.active,
    .open .dropdown-toggle.pbcolhead-primary {
        color: #ffffff;
        background-color: #3276b1;
        border-color: #285e8e;
    }

    .pbcolhead-primary:active,
    .pbcolhead-primary.active,
    .open .dropdown-toggle.pbcolhead-primary {
        background-image: none;
    }

    .pbcolhead-primary.disabled,
    .pbcolhead-primary[disabled],
    fieldset[disabled] .pbcolhead-primary,
    .pbcolhead-primary.disabled:hover,
    .pbcolhead-primary[disabled]:hover,
    fieldset[disabled] .pbcolhead-primary:hover,
    .pbcolhead-primary.disabled:focus,
    .pbcolhead-primary[disabled]:focus,
    fieldset[disabled] .pbcolhead-primary:focus,
    .pbcolhead-primary.disabled:active,
    .pbcolhead-primary[disabled]:active,
    fieldset[disabled] .pbcolhead-primary:active,
    .pbcolhead-primary.disabled.active,
    .pbcolhead-primary[disabled].active,
    fieldset[disabled] .pbcolhead-primary.active {
        background-color: #428bca;
        border-color: #357ebd;
    }


.checkbox label .toggle, .checkbox-inline .toggle {
    margin-left: -20px;
    margin-right: 5px
}

.toggle {
    position: relative;
    overflow: hidden
}

    .toggle input[type=checkbox] {
        display: none
    }

.toggle-group {
    position: absolute;
    width: 200%;
    top: 0;
    bottom: 0;
    left: 0;
    transition: left .35s;
    -webkit-transition: left .35s;
    -moz-user-select: none;
    -webkit-user-select: none
}

.toggle.off .toggle-group {
    left: -100%
}

.toggle-on {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 50%;
    margin: 0;
    border: 0;
    border-radius: 0
}

.toggle-off {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    right: 0;
    margin: 0;
    border: 0;
    border-radius: 0
}

.toggle-handle {
    position: relative;
    margin: 0 auto;
    padding-top: 0;
    padding-bottom: 0;
    height: 100%;
    width: 0;
    border-width: 0 1px
}

.toggle.btn {
    min-width: 59px;
    min-height: 34px
}

.toggle-on.btn {
    padding-right: 12px; /*24px*/
    padding-left: 0px
}

.toggle-off.btn {
    padding-left: 5px; /*24px*/
    padding-right: 0px
}

.toggle.btn-lg {
    min-width: 79px;
    min-height: 45px
}

.toggle-on.btn-lg {
    padding-right: 15px; /*31px*/
    padding-left: 0px
}

.toggle-off.btn-lg {
    padding-left: 5px; /*31px*/
    padding-right: 0px
}

.toggle-handle.btn-lg {
    width: 40px
}

.toggle.btn-sm {
    min-width: 50px;
    min-height: 30px
}

.toggle-on.btn-sm {
    padding-right: 10px; /*20px*/
    padding-left: 0px
}

.toggle-off.btn-sm {
    padding-left: 5px; /*20px*/
    padding-right: 0px
}

.toggle.btn-xs {
    min-width: 35px;
    min-height: 22px
}

.toggle-on.btn-xs {
    padding-right: 6px; /*12px*/
    padding-left: 0px
}

.toggle-off.btn-xs {
    padding-left: 5px; /*12px*/
    padding-right: 0px
}

.neonbox {
    position: relative;
    z-index: 999;
    /*margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;*/
    /*box-sizing: border-box;*/
    /*border: 3px solid #0cd808;*/
    /*border: 3px solid #d80c08; red*/
    /*border: 3px solid #FF0000; red*/
    /*border: 3px solid #00FF00; green*/
    /*border: 3px solid #0000FF; dark blue*/
    border: 3px solid #2196F3;
    box-shadow: 0 0 1px #51edff, 0 0 2px #51edff, 0 0 6px #51edff, 0 0 12px #51edff, inset 0 0 1px #51edff, inset 0 0 2px #51edff, inset 0 0 6px #51edff, inset 0 0 12px #51edff;
    width: 100%;
    max-height: 100%;
    margin-top: -3px;
    margin-bottom: -3px;
    margin-left: -3px;
    margin-right: -3px;
}

.qsghighlightrow {
    background-color: aliceblue;
}

.switch {
    position: relative;
    display: inline-block;
    /*width: 60px;
        height: 34px;*/
    width: 30px;
    height: 15px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        /*height: 26px;
            width: 26px;*/
        height: 12px;
        width: 12px;
        /*left: 4px;
            bottom: 4px;*/
        left: 2px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    /*-webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);*/
    -webkit-transform: translateX(14px);
    -ms-transform: translateX(14px);
    transform: translateX(14px);
}

/* Rounded sliders */
.slider.round {
    /*border-radius: 34px;*/
    border-radius: 15px;
}

    .slider.round:before {
        border-radius: 50%;
    }
